#
# Conditional build:
%bcond_with	apidocs		# API documentation (currently built as devhelp part, not gtk-doc?)
%bcond_without	vala		# do not build Vala API

Summary:	GObject contact aggregation library
Summary(pl.UTF-8):	Biblioteka GObject do agregowania kontaktów
Name:		folks
Version:	0.13.1
Release:	3
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/folks/0.13/%{name}-%{version}.tar.xz
# Source0-md5:	0038ec90db52ed7a82c93d98e227b078
Patch0:		%{name}-meson.patch
Patch1:		%{name}-module.patch
URL:		https://wiki.gnome.org/Projects/Folks
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	evolution-data-server-devel >= 3.13.2
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.44
BuildRequires:	gobject-introspection-devel >= 1.30.0
BuildRequires:	libgee-devel >= 0.8.4
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	meson >= 0.49
BuildRequires:	ncurses-devel
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.21
BuildRequires:	python3 >= 1:3.2
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	readline-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	telepathy-glib-devel >= 0.19.9
BuildRequires:	tracker-devel >= 2.0
%if %{with vala}
BuildRequires:	vala >= 2:0.22.1
BuildRequires:	vala-evolution-data-server >= 3.33.2
BuildRequires:	vala-libgee >= 0.8.4
BuildRequires:	vala-telepathy-glib >= 0.19.9
BuildRequires:	vala-tracker >= 2.0
BuildRequires:	vala-zeitgeist >= 0.9.14
%endif
%{?with_apidocs:BuildRequires:	valadoc >= 0.3.1}
BuildRequires:	xz
BuildRequires:	zeitgeist-devel >= 0.9.14
Requires:	evolution-data-server-libs >= 3.33.2
Requires:	glib2 >= 1:2.44
Requires:	libgee >= 0.8.4
Requires:	telepathy-glib >= 0.19.9
Requires:	tracker-libs >= 2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		abiver	45

%description
libfolks is a library that aggregates people from multiple sources
(e.g. Telepathy connection managers and eventually evolution data
server, Facebook, etc.) to create meta-contacts.

%description -l pl.UTF-8
libfolks to biblioteka gromadząca osoby z wielu źródeł (np. zarządców
połączeń Telepathy, serwera danych Evolution, Facebooka itp.), aby
utworzyć metakontakty.

%package devel
Summary:	Development files for folks libraries
Summary(pl.UTF-8):	Pliki programistyczne bibliotek folks
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	evolution-data-server-devel >= 3.33.2
Requires:	glib2-devel >= 1:2.44
Requires:	libgee-devel >= 0.8.4
Requires:	telepathy-glib-devel >= 0.19.9
Requires:	tracker-devel >= 2.0

%description devel
Development files for folks libraries.

%description devel -l pl.UTF-8
Pliki programistyczne bibliotek folks.

%package -n vala-folks
Summary:	folks API for Vala language
Summary(pl.UTF-8):	API folks dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.22.1
Requires:	vala-evolution-data-server >= 3.33.2
Requires:	vala-libgee >= 0.8.4
Requires:	vala-telepathy-glib >= 0.19.9
Requires:	vala-tracker >= 2.0
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n vala-folks
folks API for Vala language.

%description -n vala-folks -l pl.UTF-8
API folks dla języka Vala.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%meson build \
	%{?with_apidocs:-Ddocs=true} \
	-Dtracker_backend=true \
	-Dzeitgeist=true

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README.md
%attr(755,root,root) %{_bindir}/folks-import
%attr(755,root,root) %{_bindir}/folks-inspect
%attr(755,root,root) %{_libdir}/libfolks.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfolks.so.25
%attr(755,root,root) %{_libdir}/libfolks-dummy.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfolks-dummy.so.25
%attr(755,root,root) %{_libdir}/libfolks-eds.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfolks-eds.so.25
%attr(755,root,root) %{_libdir}/libfolks-telepathy.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfolks-telepathy.so.25
%attr(755,root,root) %{_libdir}/libfolks-tracker.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfolks-tracker.so.25
%{_libdir}/girepository-1.0/Folks-0.6.typelib
%{_libdir}/girepository-1.0/FolksDummy-0.6.typelib
%{_libdir}/girepository-1.0/FolksEds-0.6.typelib
%{_libdir}/girepository-1.0/FolksTelepathy-0.6.typelib
%{_libdir}/girepository-1.0/FolksTracker-0.6.typelib
%dir %{_libdir}/folks
%dir %{_libdir}/folks/%{abiver}
%dir %{_libdir}/folks/%{abiver}/backends
%dir %{_libdir}/folks/%{abiver}/backends/bluez
%attr(755,root,root) %{_libdir}/folks/%{abiver}/backends/bluez/bluez.so
%dir %{_libdir}/folks/%{abiver}/backends/dummy
%attr(755,root,root) %{_libdir}/folks/%{abiver}/backends/dummy/dummy.so
%dir %{_libdir}/folks/%{abiver}/backends/eds
%attr(755,root,root) %{_libdir}/folks/%{abiver}/backends/eds/eds.so
%dir %{_libdir}/folks/%{abiver}/backends/key-file
%attr(755,root,root) %{_libdir}/folks/%{abiver}/backends/key-file/key-file.so
%dir %{_libdir}/folks/%{abiver}/backends/ofono
%attr(755,root,root) %{_libdir}/folks/%{abiver}/backends/ofono/ofono.so
%dir %{_libdir}/folks/%{abiver}/backends/telepathy
%attr(755,root,root) %{_libdir}/folks/%{abiver}/backends/telepathy/telepathy.so
%dir %{_libdir}/folks/%{abiver}/backends/tracker
%attr(755,root,root) %{_libdir}/folks/%{abiver}/backends/tracker/tracker.so
%{_datadir}/glib-2.0/schemas/org.freedesktop.folks.gschema.xml

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfolks.so
%attr(755,root,root) %{_libdir}/libfolks-dummy.so
%attr(755,root,root) %{_libdir}/libfolks-eds.so
%attr(755,root,root) %{_libdir}/libfolks-telepathy.so
%attr(755,root,root) %{_libdir}/libfolks-tracker.so
%{_datadir}/gir-1.0/Folks-0.6.gir
%{_datadir}/gir-1.0/FolksDummy-0.6.gir
%{_datadir}/gir-1.0/FolksEds-0.6.gir
%{_datadir}/gir-1.0/FolksTelepathy-0.6.gir
%{_datadir}/gir-1.0/FolksTracker-0.6.gir
%{_includedir}/folks
%{_pkgconfigdir}/folks.pc
%{_pkgconfigdir}/folks-dummy.pc
%{_pkgconfigdir}/folks-eds.pc
%{_pkgconfigdir}/folks-telepathy.pc
%{_pkgconfigdir}/folks-tracker.pc

%if %{with vala}
%files -n vala-folks
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/folks.deps
%{_datadir}/vala/vapi/folks.vapi
%{_datadir}/vala/vapi/folks-dummy.deps
%{_datadir}/vala/vapi/folks-dummy.vapi
%{_datadir}/vala/vapi/folks-eds.deps
%{_datadir}/vala/vapi/folks-eds.vapi
%{_datadir}/vala/vapi/folks-telepathy.deps
%{_datadir}/vala/vapi/folks-telepathy.vapi
%{_datadir}/vala/vapi/folks-tracker.deps
%{_datadir}/vala/vapi/folks-tracker.vapi
%endif
%changelog
* Fri Oct 18 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/folks.git;a=log;h=master

* Fri Oct 18 2019 Jakub Bogusz <qboosh@pld-linux.org> 2230d46
- release 3

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> dae6364
- release 2 (by relup.sh)

* Tue Oct 15 2019 Jakub Bogusz <qboosh@pld-linux.org> 6438d6e
- updated to 0.13.1 (GNOME 3.34)
- removed obsolete libsocialweb patch, socialweb backend has been removed upstream

* Sun May 19 2019 Jakub Bogusz <qboosh@pld-linux.org> e013a58
- updated to 0.12.1 (now uses meson)
- removed outdated tracer2 patch
- added meson patch (workaround for some vala related bug in meson)
- added libsocialweb patch (fix socialweb backend build and install)
- added module patch (don't build eds static module)

* Wed Apr 17 2019 Jan Rękorajski <baggins@pld-linux.org> 0f33da6
- icu/boost rebuild
- release 3 (by relup.sh)

* Tue Mar 13 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 7cec90d
- Release 2

* Sun Nov 26 2017 Jan Rękorajski <baggins@pld-linux.org> e83b35d
- regenerating this crap doesn't seem to work, so just hck it

* Thu Nov 23 2017 Jan Rękorajski <baggins@pld-linux.org> d18bd8d
- up to 0.11.4

* Tue Mar 21 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 9ed90c4
- release 3 (by relup.sh)

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 5efb776
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Mon Sep 26 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 41ef066
- Update to 0.11.3

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> d3de629
- noarch vala subpackage

* Sun Dec 06 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 9852661
- Update to 0.11.2

* Mon Sep 28 2015 Łukasz Kieś <kiesiu@pld-linux.org> 6e75aa1
- rebuild with evolution-data-server-3.18
- release 2 (by relup.sh)

* Thu May 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 02a4ed9
- updated to 0.11.1

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 4c16aec
- x32 rebuild
- release 3 (by relup.sh)

* Wed Apr 01 2015 Łukasz Kieś <kiesiu@pld-linux.org> af1a5e5
- updated BuildRequires, Requires and files; rel. 2

* Sat Mar 28 2015 Jan Rękorajski <baggins@pld-linux.org> 8cc8f89
- up to 0.11.0

* Sun Jan 25 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 033fd3f
- Update to 0.10.1

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 1144110
- updated gettext BR

